### Method

# Shumate VectorValue array_append

since: 1.6

#### Declaration [src]

    void
    shumate_vector_value_array_append (
      ShumateVectorValue* self,
      ShumateVectorValue* element
    )

#### Description [src]

Appends `element` to the array value of `self`. The value of `element` is copied.

Available since: 1.6

#### Parameters

`element`

  Type: `ShumateVectorValue`

  A `ShumateVectorValue` to append to the array.

  The data is owned by the caller of the method.